/***********************************************************************/
/*                                                                     */
/*                              Pio (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*                       EPI Serena, INRIA Paris                       */
/*                                                                     */
/*  Copyright (c) 2005-2017 INRIA.                                     */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/* $Id: receive_typed_value.hpp,v 1.13 2017/05/31 15:54:21 fclement Exp $ */

#include "typed_value.hpp"
#include "receive.hpp"

#ifndef _RECEIVE_TYPED_VALUE_H
#define _RECEIVE_TYPED_VALUE_H

using namespace std;

namespace io{

  Typed_value receive(istream& ib);
  Typed_value receive_typed_value(istream& ib);
  
}


#endif
