(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2007-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux                                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: make_command.ml,v 1.12 2017/05/15 17:29:20 fclement Exp $ *)

module Mk_cmd = Tools_make_command;;

open Tools_common_types;;
open Options;;

let mk_command { ocaml_options; } =
  let compiler = Sklml_path.get_generator Dep in
  Mk_cmd.unwords ([ compiler; ] @ ocaml_options)
;;
